#ifndef OBJECT_INT_H
#define OBJECT_INT_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: int.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";

#include "object.h"
#include "globals.h"

// global object counters (for memory debugging)
extern int int_type_count;

class JC_int : public JC_object {
protected:
	int content;
	std::string _key;

	void calc_key(void);
public:
	JC_int();
	JC_int(int i);
	JC_int(const JC_int& j);
	JC_int(const std::string&);
	virtual ~JC_int(void);

	std::string to_string() const;

	inline const obj_type	get_type(void) const	{ return INT; };
	inline int 				to_int() const			{ return content; };
	inline std::string		key(void) const			{ return _key; };
};

#endif
